TAR(1)

NAVN
tar - et arkivredskab

SYNOPSIS

  Traditionel brug
tar {A|c|d|r|t|u|x}[GnSkUWOmpsMBiajJzZhPlRvwo] [ARGUMENTER...]

  Brug i UNIX-stil

tar -A [FLAG] ARKIV ARKIV

tar -c [-f ARKIV] [FLAG] [FIL...]

tar -d [-f ARKIV] [FLAG] [FIL...]

tar -t [-f ARKIV] [FLAG] [MEDLEM...]

tar -r [-f ARKIV] [FLAG] [FIL...]

tar -u [-f ARKIV] [FLAG] [FIL...]

tar -x [-f ARKIV] [FLAG] [MEDLEM...]

  Brug i GNU-stil

tar {--catenate|--concatenate} [FLAG] ARKIV ARKIV

tar --create [--file ARKIV] [FLAG] [FIL...]

tar {--diff|--compare} [--file ARKIV] [FLAG] [FIL...]

tar --delete [--file ARKIV] [FLAG] [MEDLEM...]

tar --append [-f ARKIV] [FLAG] [FIL...]

tar --list [-f ARKIV] [FLAG] [MEDLEM...]

tar --test-label [--file ARKIV] [FLAG] [ETIKET...]

tar --update [--file ARKIV] [FLAG] [FIL...]

tar --update [-f ARKIV] [FLAG] [FIL...]

tar {--extract|--get} [-f ARKIV] [FLAG] [MEDLEM...]

BEMÆRK
Denne manualside er en kort beskrivelse af GNU tar. For en detaljeret diskussion, inklusive eksempler og anbefalinger om brug, så se GNU Tar Manual tilgængelig i formatet texinfo. Hvis info-læseren og tar-dokumentationen er korrekt installeret på dit system, så vil kommandoen

    info tar

give dig adgang til den fulde manual.

Du kan også se manualen via info-tilstanden i emacs(1), eller finde den i forskellige formater på internettet

    http://www.gnu.org/software/tar/manual

Hvis der opstår forskel mellem denne manualside og GNU Tar Manual, så er den sidst nævnte den autoritative kilde.

BESKRIVELSE
GNU tar er et arkivprogram designet til at lagre store filer i en enkel fil (et archive), og til at manipulere sådanne arkiver. Arkivet kan enten være en normal fil eller en enhed (f.eks. en båndoptager, deraf navnet på programmet, der står for tape archiver), der kan befinde sig enten på en lokal eller en ekstern maskine.

  Stil for tilvalg
Options to GNU tar can be given in three different styles. In traditional style, the first argument is a cluster of option letters and all subsequent arguments supply arguments to those options that require them. The arguments are read in the same order as the option letters. Any command line words that remain after all options has been processed are treated as non-optional arguments: file or archive member names.

For example, the c option requires creating the archive, the v option requests the verbose operation, and the f option takes an argument that sets the name of the archive to operate upon. The following command, written in the traditional style, instructs tar to store all files from the directory /etc into the archive file etc.tar verbosely listing the files being archived:

    tar cfv etc.tar /etc

In UNIX or short-option style, each option letter is prefixed with a single dash, as in other command line utilities. If an option takes argument, the argument follows it, either as a separate command line word, or immediately following the option. However, if the option takes an optional argument, the argument must follow the option letter without any intervening whitespace, as in -g/tmp/snar.db.

Any number of options not taking arguments can be clustered together after a single dash, e.g. -vkp. Options that take arguments (whether mandatory or optional), can appear at the end of such a cluster, e.g. -vkpf a.tar.

Eksemplet på kommandoen overfor skrevet i short-option style kunne se således ud:

    tar -cvf etc.tar /etc
eller
    tar -c -v -f etc.tar /etc

In GNU or long-option style, each option begins with two dashes and has a meaningful name, consisting of lower-case letters and dashes. When used, the long option can be abbreviated to its initial letters, provided that this does not create ambiguity. Arguments to long options are supplied either as a separate command line word, immediately following the option, or separated from the option by an equals sign with no intervening whitespace. Optional arguments must always use the latter method.

Her er flere måder at skrive eksemplet på kommandoen i denne stil:

    tar --create --file etc.tar --verbose /etc
eller (forkortelse af nogle tilvalg):
    tar --cre --file=etc.tar --verb /etc

Tilvalgene i alle tre stile kan blandes, selvom det ikke anbefales for gamle tilvalg.

  Operationstilstand
The options listed in the table below tell GNU tar what operation it is to perform. Exactly one of them must be given. Meaning of non-optional arguments depends on the operation mode requested.

-A, --catenate, --concatenate
    Append archive to the end of another archive. The arguments are treated as the names of archives to append. All archives must be of the same format as the archive they are appended to, otherwise the resulting archive might be unusable with non-GNU implementations of tar. Notice also that when more than one archive is given, the members from archives other than the first one will be accessible in the resulting archive only if using the -i (--ignore-zeros) option.

    Compressed archives cannot be concatenated.

-c, --create
    Create a new archive. Arguments supply the names of the files to be archived. Directories are archived recursively, unless the --no-recursion option is given.

-d, --diff, --compare
    Find differences between archive and file system. The arguments are optional and specify archive members to compare. If not given, the current working directory is assumed.

--delete
    Delete from the archive. The arguments supply names of the archive members to be removed. At least one argument must be given.

    Dette tilvalg fungerer ikke på komprimerede arkiver. Der er intet tilsvarende kort tilvalg.

-r, --append
    Tilføj filer til slutningen af et arkiv. Argumenter har den samme mening som for -c (--create).

-t, --list
    Viser indholdet af et arkiv. Argumenter er valgfrie. Når anført, så angiver de navnene for medlemmerne at vise.

--test-label
    Test the archive volume label and exit. When used without arguments, it prints the volume label (if any) and exits with status 0. When one or more command line arguments are given. tar compares the volume label with each argument. It exits with code 0 if a match is found, and with code 1 otherwise. No output is displayed, unless used together with the -v (--verbose) option.

    There is no short option equivalent for this option.

-u, --update
    Append files which are newer than the corresponding copy in the archive. Arguments have the same meaning as with -c and -r options. Notice, that newer files don't replace their old archive copies, but instead are appended to the end of archive. The resulting archive can thus contain several members of the same name, corresponding to various versions of the same file.

-x, --extract, --get
    Extract files from an archive. Arguments are optional. When given, they specify names of the archive members to be extracted.

--show-defaults
    Show built-in defaults for various tar options and exit. No arguments are allowed.

-?, --help
    Display a short option summary and exit. No arguments allowed.

--usage
    Display a list of available options and exit. No arguments allowed.

--version
    Viser programversion og information om ophavsret og afslutter.

TILVALG

  Ændringer til handling

--check-device
    Kontrollér enhedsnumre når inkrementelle arkiver oprettes (standardværdi).

-g, --listed-incremental=FIL
    Handle new GNU-format incremental backups. FILE is the name of a snapshot file, where tar stores additional information which is used to decide which files changed since the previous incremental dump and, consequently, must be dumped again. If FILE does not exist when creating an archive, it will be created and all files will be added to the resulting archive (the level 0 dump). To create incremental archives of non-zero level N, create a copy of the snapshot file created during the level N-1, and use it as FILE.

    When listing or extracting, the actual contents of FILE is not inspected, it is needed only due to syntactical requirements. It is therefore common practice to use /dev/null in its place.

--hole-detection=METODE
    Use METHOD to detect holes in sparse files. This option implies --sparse. Valid values for METHOD are seek and raw. Default is seek with fallback to raw when not applicable.

-G, --incremental
    Håndtér det gamle GNU-format for inkrementel sikkerhedskopiering.

--ignore-failed-read
    Afslut ikke med fejlslutstatus p.g.a. filer, der ikke kan læses.

--level=NUMMER
    Set dump level for created listed-incremental archive. Currently only --level=0 is meaningful: it instructs tar to truncate the snapshot file before dumping, thereby forcing a level 0 dump.

-n, --seek
    Assume the archive is seekable. Normally tar determines automatically whether the archive can be seeked or not. This option is intended for use in cases when such recognition fails. It takes effect only if the archive is open for reading (e.g. with --list or --extract options).

--no-check-device
    Kontroller ikke enhedsnumre når inkrementelle arkiver oprettes.

--no-seek
    Antag at arkivet ikke er søgbart.

--occurrence[=NUMMER]
    Behandl kun den n. forekomst af hver fil i arkivet. Dette flag er kun gyldigt med en af de følgende underkommandoer: --delete, --diff, --extract eller --list og når en liste af filer angives enten på kommandolinjen eller med flaget -T. Standardværdi for N er 1.

--restrict
    Begræns brugen af potentielt farlige flag.

--sparse-version=ØVRE[.NEDRE]
    Set version of the sparse format to use (implies --sparse). This option implies --sparse. Valid argument values are 0.0, 0.1, and 1.0. For a detailed discussion of sparse formats, refer to the GNU Tar Manual, appendix D, "Sparse Formats". Using info reader, it can be accessed running the following command: info tar 'Sparse Formats'.

-S, --sparse
    Handle sparse files efficiently. Some files in the file system may have segments which were actually never written (quite often these are database files created by such systems as DBM). When given this option, tar attempts to determine if the file is sparse prior to archiving it, and if so, to reduce the resulting archive size by not dumping empty parts of the file.

  Kontrollér overskrivning
Dise tilvalgkontrollerer tar-handlinger når en fil udtrækkes over en eksisterende kopi på disk.

-k, --keep-old-files
    Erstat ikke eksisterende filer ved udpakning.

--keep-newer-files
    Erstat ikke eksisterende filer som er nyere end de, som findes i arkivet.

--keep-directory-symlink
    Bevar eksisterende symlinker til kataloger ved udpakning.

--no-overwrite-dir
    Bevar eksisterende katalogers metadata.

--one-top-level[=KAT]
    Extract all files into DIR, or, if used without argument, into a subdirectory named by the base name of the archive (minus standard compression suffixes recognizable by --auto-compress).

--overwrite
    Overskriv eksisterende filer ved udpakning.

--overwrite-dir
    Overskriv metadata for eksisterende kataloger ved udpakning (standardværdi).

--recursive-unlink
    Fjern rekursivt alle filer i mappen før den udpakkes.

--remove-files
    Fjern filer efter de blev tilføjet til arkivet.

--skip-old-files
    Erstat ikke eksisterende filer ved udpakning, skip over dem uden meddelelser.

-U, --unlink-first
    Fjern hver eksisterende fil inden en ny udpakkes oven i den.

-W, --verify
    Verificer arkivet efter det blev skrevet.

  Vælg uddatastrøm

--ignore-command-error

Ignorér barneprocessers slutstatus.

--no-ignore-command-error
    Behandl slutstatus fra barneprocesser bortset fra 0 som fejl (standardværdi).

-O, --to-stdout
    Udpak filer til standard-ud.

--to-command=KOMMANDO
    Pipe extracted files to COMMAND. The argument is the pathname of an external program, optionally with command line arguments. The program will be invoked and the contents of the file being extracted supplied to it on its standard input. Additional data will be supplied via the following environment variables:

    TAR_FILETYPE
        Type of the file. It is a single letter with the following meaning:

        	f	Regular file
        	d	Directory
        	l	Symbolic link
        	h	Hard link
        	b	Block device
        	c	Character device

        I øjeblikket er kun normale filer understøttet.

    TAR_MODE
        Filtilstand, et oktal tal.

    TAR_FILENAME
        Navnet på filen.

    TAR_REALNAME
        Navnet på filen som lagret i arkivet

    TAR_UNAME
        Navnet på filejeren.

    TAR_GNAME
        Navnet på filejergruppen.

    TAR_ATIME
        Time of last access. It is a decimal number, representing seconds since the Epoch. If the archive provides times with nanosecond precision, the nanoseconds are appended to the timestamp after a decimal point.

    TAR_MTIME
        Tidspunkt for sidste ændring.

    TAR_CTIME
        Tidspunkt for sidste statusændring.

    TAR_SIZE
        Størrelsen på filen.

    TAR_UID
        UID'en for filejeren.

    TAR_GID
        GId'en for filejeren.

    Additionally, the following variables contain information about tar operation mode and the archive being processed:

    TAR_VERSION
        GNU tar version number.

    TAR_ARCHIVE
        The name of the archive tar is processing.

    TAR_BLOCKING_FACTOR
        Current blocking factor, i.e. number of 512-byte blocks in a record.

    TAR_VOLUME
        Ordinal number of the volume tar is processing (set if reading a multi-volume archive).

    TAR_FORMAT
        Format of the archive being processed. One of: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        A short option (with a leading dash) describing the operation tar is executing.

  Håndtering af filattributter

--atime-preserve[=METODE]
    Bevar accesstider på arkiverede filer, enten ved at genskabe tiderne efter læsning (METODE=replace, standardværdi) eller ved at ikke sætte tiderne overhovedet (METODE=system)

--delay-directory-restore
    Udsæt angivelse af modifikationstider og rettigheder på udpakkede mapper til slutningen på arkivudpakningen. Brug dette tilvalg når der udtrækkes fra et arkiv, der har en usædvanlig medelemsrækkefølge.

--group=NAVN[:Gruppe-ID]
    Tvangssæt NAVN som gruppe for tilføjede filer. Hvis GID ikke er angivet, kan NAVN enten være et brugernavn eller en numerisk GID. I dette tilfælde vil den manglende del (GID eller navn) blive arvet fra den nuværende værts gruppedatabase.

    Når brugt med --group-map=FIL, påvirker kun de filer hvis ejergruppe ikke er anført i FIL.

--group-map=FIL
    Read group translation map from FILE. Empty lines are ignored. Comments are introduced with # sign and extend to the end of line. Each non-empty line in FILE defines translation for a single group. It must consist of two fields, delimited by any amount of whitespace:

        OLDGRP NEWGRP[:NEWGID]

    OLDGRP is either a valid group name or a GID prefixed with +. Unless NEWGID is supplied, NEWGRP must also be either a valid group name or a +GID. Otherwise, both NEWGRP and NEWGID need not be listed in the system group database.

    As a result, each input file with owner group OLDGRP will be stored in archive with owner group NEWGRP and GID NEWGID.

--mode=RETTIGHEDER
    Sæt symbolske RETTIGHEDER for tilføjede filer.

--mtime=DATO-ELLER-FIL
    Angiv mtime (ændringstidspunkt) på tilføjede filer. DATO-ELLER-FIL er enten en dato eller et tidspunkt i næsten arbitrært format, eller navne på en eksisternede fil. I det sidste tilfælde vil mtime for den fil blive anvendt.

-m, --touch
    Udpak ikke filers modificeringstid.

--no-delay-directory-restore
    Fjern effekten af flaget --delay-directory-restore.

--no-same-owner
    Udpak filer med dig selv som ejer (standardværdi for almindelige brugere).

--no-same-permissions
    Anvend brugerens umask når rettigheder udpakkes fra arkivet (standardværdi for almindelige brugere).

--numeric-owner
    Brug altid tal for bruger- og gruppnavn.

--owner=NAVN[:Bruger-ID]
    Tvangssæt NAVN som ejer for tilføjede filer. Hvis UID ikke er angivet, kan NAVN være enten et brugernavn eller en numerisk UID. I dette tilfælde vil den manglende del (UID eller navn) blive arvet fra den nuværende værts brugerdatabase.

    When used with --owner-map=FILE, affects only those files whose owner is not listed in FILE.

--owner-map=FIL
    Read owner translation map from FILE. Empty lines are ignored. Comments are introduced with # sign and extend to the end of line. Each non-empty line in FILE defines translation for a single UID. It must consist of two fields, delimited by any amount of whitespace:

        OLDUSR NEWUSR[:NEWUID]

    OLDUSR is either a valid user name or a UID prefixed with +. Unless NEWUID is supplied, NEWUSR must also be either a valid user name or a +UID. Otherwise, both NEWUSR and NEWUID need not be listed in the system user database.

    As a result, each input file owned by OLDUSR will be stored in archive with owner name NEWUSR and UID NEWUID.

-p, --preserve-permissions, --same-permissions
    udpak information om filrettigheder (standardværdi for superbrugeren)

--same-owner
    Forsøg at udpakke filer til samme ejere som i arkivet (standardværdi for superbrugeren).

-s, --preserve-order, --same-order
    Sortér navne som skal udpakkes så de passer med arkivet.

--sort=ORDEN
    When creating an archive, sort directory entries according to ORDER, which is one of none, name, or inode.

    Standarden er --sort=none, der lagrer arkivmedlemmer i den samme rækkefølge som returneret af operativsystemet.

    Brug af --sort=name sikrer at medlemsrækkefølgen i det oprettede arkiv er ensartet og reproducerbar.

    Brug af --sort=inode reducerer antallet af disksøgninger lavet når arkivet oprettes og kan derfor øge hastigheden på arkiveringen. Denne sorteringsrækkefølge er kun understøttet hvis det underliggende system tilbyder den nødvendige information.

  Udvidede filattributter

--acls
    Aktivér understøttelse for POSIX ACL-er.

--no-acls
    Deaktivér understøttelse for POSIX ACL-er.

--selinux
    Aktivér understøttelse for SELinux kontekster.

--no-selinux
    Deaktivér understøttelse for SELinux kontekster.

--xattrs
    Aktivér understøttelse for udvidede filattributter.

--no-xattrs
    Deaktivér understøttelse for udvidede filattributter.

--xattrs-exclude=MØNSTER
    Angiv ekskluderingsmønsteret for xattr-nøgler. MØNSTER er et POSIX-regulært udtryk, f.eks. --xattrs-exclude='^user.', for at ekskludere attributter fra brugernavnerummet.

--xattrs-include=MØNSTER
    Angiv inkluderingsmønsteret for xattr-nøgler. MØNSTER er et POSIX-regulært udtryk.

  Enhedsvalg og enhedsskift

-f, --file=ARKIV
    Use archive file or device ARCHIVE. If this option is not given, tar will first examine the environment variable `TAPE'. If it is set, its value will be used as the archive name. Otherwise, tar will assume the compiled-in default. The default value can be inspected either using the --show-defaults option, or at the end of the tar --help output.

    An archive name that has a colon in it specifies a file or device on a remote machine. The part before the colon is taken as the machine name or IP address, and the part after it as the file or device pathname, e.g.:

        --file=remotehost:/dev/sr0

    Et valgfrit brugernavn kan foranstilles til værtsnavnet, med placering af et @-tegn mellem dem.

    Som standard tilgås den eksterne vært via rsh(1)-kommandoen. Nutildags er det normalt at bruge ssh(1) i stedet for. Du kan gøre dette ved at angive det følgende tilvalg på kommandolinjen:

        --rsh-command=/usr/bin/ssh

    Den eksterne maskine skal have rmt(8)-kommandoen installeret. Hvis dets stinavn ikke matcher tars standard, så kan du informere tar om det korrekte stinavn via tilvalget --rmt-command.

--force-local
    Arkivfilen er lokal selv om navnet har et kolon.

-F, --info-script=KOMMANDO, --new-volume-script=KOMMANDO
    Afvikl KOMMANDO i slutningen af hvert bånd (indebærer -M). Kommandoen kan inkludere argumenter. Når startet vil den arve tar's miljø samt de følgende variabler.

    TAR_VERSION
        GNU tar version number.

    TAR_ARCHIVE
        The name of the archive tar is processing.

    TAR_BLOCKING_FACTOR
        Current blocking factor, i.e. number of 512-byte blocks in a record.

    TAR_VOLUME
        Ordinal number of the volume tar is processing (set if reading a multi-volume archive).

    TAR_FORMAT
        Format of the archive being processed. One of: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMAND
        A short option (with a leading dash) describing the operation tar is executing.

    TAR_FD
        Fildeskriptor der kan bruges til at kommunikere det nye delarkivnavn til tar.

    Hvis info-skriptet fejler afsluttes tar; ellers begynder det at skrive næste delarkiv.

-L, --tape-length=N
    Change tape after writing Nx1024 bytes. If N is followed by a size suffix (see the subsection Size suffixes below), the suffix specifies the multiplicative factor to be used instead of 1024.

    This option implies -M.

-M, --multi-volume
    Opret/vis/udpak et flerdelarkiv.

--rmt-command=KOMMANDO
    Use COMMAND instead of rmt when accessing remote archives. See the description of the -f option, above.

--rsh-command=KOMMANDO
    Brug KOMMANDO i stedet for rsh når eksterne arkiver tilgås. Se beskrivelsen af tilvalget -f ovenfor.

--volno-file=FIL
    Når dette tilvalg bruges sammen med --multi-volume, vil tar holde styr på hvilke delarkiver for et flerdelarkiv det arbejder på i FIL.

  Blokhåndtering

-B, --blocking-factor=BLOKKE
    Angiv poststørrelse som BLOKKEx512 byte.

-B, --read-full-records
    When listing or extracting, accept incomplete input records after end-of-file marker.

-i, --ignore-zeros
    Ignore zeroed blocks in archive. Normally two consecutive 512-blocks filled with zeroes mean EOF and tar stops reading after encountering them. This option instructs it to read further and is useful when reading archives created with the -A option.

--record-size=NUMMER
    Set record size. NUMBER is the number of bytes per record. It must be multiple of 512. It can can be suffixed with a size suffix, e.g. --record-size=10K, for 10 Kilobytes. See the subsection Size suffixes, for a list of valid suffixes.

  Valg af arkivformat

-H, --format=FORMAT
    Opret et arkiv med det angivne format. Gyldige formater er:

    gnu Format fra GNU tar 1.13.x

    oldgnu
        GNU-format for tar <= 1.12

    pax, posix
        POSIX 1003.1-2001 (pax) format.

    ustar
        POSIX 1003.1-1988 (ustar) format.

    v7  Gammelt V7-format.

--old-archive, --portability
    Samme som --format=v7.

--pax-option=nøgleord[[:]=værdi][,nøgleord[[:]=værdi]]...
    Control pax keywords when creating PAX archives (-H pax). This option is equivalent to the -o option of the pax(1) utility.

--posix
    Samme som --format=posix.

-V, --label=TEKST
    Opret et arkiv med delarkivnavnet TEKST. Ved visning/udpakning er TEKST et skalmønster (»globbing«) for delarkivnavn.

  Komprimeringsflag

-a, --auto-compress
    Brug arkivsuffix til at bestemme komprimeringsprogrammet.

-I, --use-compress-program=KOMMANDO
    Filtrer data med KOMMANDO. Skal acceptere tilvalget -d), for dekompression. Argumentet kan indeholde kommandolinjetilvalg.

-j, --bzip2
    Filtrér arkivet igennem bzip2(1).

-J, --xz
    Filtrér arkivet igennem xz(1).

--lzip
    Filtrér arkivet igennem lzip(1).

--lzma
    Filtrér arkivet igennem lzma(1).

--lzop
    Filtrér arkivet igennem lzop(1).

--no-auto-compress
    Brug ikke arkivsuffix til at bestemme komprimeringsprogrammet.

-z, --gzip, --gunzip, --ungzip
    Filtrér arkivet igennem gzip(1).

-Z, --compress, --uncompress
    Filtrér arkivet igennem compress(1).

--zstd
    Filtrér arkivet igennem zstd(1).

  Lokalt filvalg

--add-file=FIL
    Tilføj angivet FIL til arkivet (brugbart hvis FIL begynder med "-").

--backup[=KONTROL]
    Lav sikkerhedskopier før fjernelse. Argumentet KONTROL, hvis angivet, kontrollerer sikkerhedskopieringens politik. Dets gyldige værdier er:

    none, off
        Lav aldrig sikkerhedskopier.

    t, numbered
        Lav nummererede sikkerhedskopier.

    nil, existing
        Nummererede, dersom nummererede sikkerhedskopier eksisterer, ellers simple.

    never, simple
        Lav altid simple sikkerhedskopier.

    If CONTROL is not given, the value is taken from the VERSION_CONTROL environment variable. If it is not set, existing is assumed.

-C, --directory=KAT
    Change to DIR before performing any operations. This option is order-sensitive, i.e. it affects all options that follow.

--exclude=MØNSTER
    Udelad filer som matcher MØNSTER, et jokertegnmønster i glob(3)-stil.

--exclude-backups
    Udelad sikkerhedskopier og låsefiler.

--exclude-caches
    Udelad indholdet i kataloger som indeholder CACHEDIR.TAG, undtagen mærkefilen CACHEDIR.TAG selv.

--exclude-caches-all
    Udelad mapper indeholdende fil CACHEDIR.TAG og selve filen.

--exclude-caches-under
    Udelad alt i kataloger som indeholder CACHEDIR.TAG

--exclude-ignore=FIL
    Before dumping a directory, see if it contains FILE. If so, read exclusion patterns from this file. The patterns affect only the directory itself.

--exclude-ignore-recursive=FIL
    Same as --exclude-ignore, except that patterns from FILE affect both the directory and all its subdirectories.

--exclude-tag=FIL
    Udelad indholdet i kataloger som indeholder FIL, undtagen FIL selv.

--exclude-tag-all=FIL
    Udelad kataloger som indeholder FIL.

--exclude-tag-under=FIL
    Udelad alting i kataloger som indeholder FIL.

--exclude-vcs
    Udelad kataloger fra versionshåndteringssystemer.

--exclude-vcs-ignores
    Exclude files that match patterns read from VCS-specific ignore files. Supported files are: .cvsignore, .gitignore, .bzrignore, and .hgignore.

-h, --dereference
    Følg symbolske lænker, arkivér filerne de peger på.

--hard-dereference
    Følg hårde lænker, arkivér filerne de peger på.

-K, --starting-file=MEDLEM
    Begynd ved det angivne medlem i arkivet.

--newer-mtime=DATO
    Work on files whose data changed after the DATE. If DATE starts with / or . it is taken to be a file name; the mtime of that file is used as the date.

--no-null
    Fjern effekten af foregående --null flag.

--no-recursion
    Gå ikke ned i kataloger automatisk.

--no-unquote
    Afcitér ikke inddata fil eller medlemsnavne.

--no-verbatim-files-from
    Treat each line read from a file list as if it were supplied in the command line. I.e., leading and trailing whitespace is removed and, if the resulting string begins with a dash, it is treated as tar command line option.

    This is the default behavior. The --no-verbatim-files-from option is provided as a way to restore it after --verbatim-files-from option.

    This option is positional: it affects all --files-from options that occur after it in, until --verbatim-files-from option or end of line, whichever occurs first.

    It is implied by the --no-null option.

--null
    Instruct subsequent -T options to read null-terminated names verbatim (disables special handling of names that start with a dash).

    Se også --verbatim-files-from.

-N, --newer=DATO, --after-date=DATO
    Only store files newer than DATE. If DATE starts with / or . it is taken to be a file name; the mtime of that file is used as the date.

--one-file-system
    Skift ikke filsystem når arkivet oprettes.

-P, --absolute-names
    Fjern ikke indledende skråstreger fra filnavne, når arkiver oprettes.

--recursion
    Gå rekursivt ned i kataloger (standardværdi).

--suffix=STRENG
    lav sikkerhedskopier før fjernelse, erstat den normale sikkerhedskopiendelse. Standardendelsen er ~, hvis ikke ændret med miljøvariablen SIMPLE_BACKUP_SUFFIX.

-T, --files-from=FIL
    Hent navne at udpakke eller oprette fra FIL.

    Unless specified otherwise, the FILE must contain a list of names separated by ASCII LF (i.e. one name per line). The names read are handled the same way as command line arguments. They undergo quote removal and word splitting, and any string that starts with a - is handled as tar command line option.

    Hvis denne opførsel ikke ønskes, så kan den fjernes via tilvalget --verbatim-files-from.

    The --null option instructs tar that the names in FILE are separated by ASCII NUL character, instead of LF. It is useful if the list is generated by find(1) -print0 predicate.

--unquote
    Fjern citat fra fil eller medlemsnavne (standard).

--verbatim-files-from
    Treat each line obtained from a file list as a file name, even if it starts with a dash. File lists are supplied with the --files-from (-T) option. The default behavior is to handle names supplied in file lists as if they were typed in the command line, i.e. any names starting with a dash are treated as tar options. The --verbatim-files-from option disables this behavior.

    This option affects all --files-from options that occur after it in the command line. Its effect is reverted by the --no-verbatim-files-from} option.

    Dette tilvalg er underforstået af tilvalget --null.

    Se også --add-file.

-X, --exclude-from=FIL
    Udelad filer som matcher mønster listet i FIL.

  Filnavnstransformationer

--strip-components=ANTAL
    Fjern ANTAL indledende komponenter fra filnavne ved udpakning.

--transform=UDTRYK, --xform=UDTRYK
    Brug sed's erstatnings-UDTRYK for at transformere filnavne.

  Flag for match af filnavne
Påvirker både ekskluderings- og inkluderingsmønstre.

--anchored
    Mønstre skal matche med begyndelsen på filnavne.

--ignore-case
    Ingen forskel på store og små bogstaver.

--no-anchored
    Mønstre matches efter alle /-er (standardværdi ved ekskludering).

--no-ignore-case
    Match store og små bogstaver forskelligt (standardværdi).

--no-wildcards
    Ordret strengsammenligning.

--no-wildcards-match-slash
    Jokertegn matcher ikke /.

--wildcards
    Brug jokertegn (standardværdi for ekskludering).

--wildcards-match-slash
    Jokertegn matcher / (standardværdi for ekskludering).

  Informativ udskrift

--checkpoint[=ANTAL]
    Vis forløbsmeddelelser efter hver gruppe af ANTAL poster (standardværdi 10).

--checkpoint-action=HANDLING
    Udfør HANDLING ved hvert kontrolpunkt.

--clamp-mtime
    Sæt kun tid når filen er nyere end hvad der er givet med --mtime.

--full-time
    Vis fuld opløsning på filtider.

--index-file=FIL
    Send informative meddelelser til FIL.

-l, --check-links
    Vis en meddelelse hvis ikke alle lænker bliver arkiveret.

--no-quote-chars=STRENG
    Citér ikke tegn fra STRENG.

--quote-chars=STRENG
    Citér også tegn i STRENG.

--quoting-style=STÍL
    Sæt citatstil for fil og medlemsnavne. Gyldige værdier for STIL er literal, shell, shell-always, c, c-maybe, escape, locale, clocale.

-R, --block-number
    Vis bloknummer i arkivet for hver meddelelse.

--show-omitted-dirs
    Ved visning eller udpakning vises hvert katalog som ikke matcher søgekriterium.

--show-transformed-names, --show-stored-names
    Vis fil- eller arkivnavne efter transformering af tilvalgene --strip og --transform.

--totals[=SIGNAL]
    skriv samlet antal byte efter arkivet er blevet behandlet. Med et argument - skrives totalt antal byte, når SIGNAL er angivet. Tilladte signaler er: SIGHUP, SIGQUIT, SIGINT, SIGUSR1 og SIGUSR2. The SIG-præfikset kan udelades.

--utc
    Vis filers modificeringstid i UTC.

-v, --verbose
    Verbosely list files processed. Each instance of this option on the command line increases the verbosity level by one. The maximum verbosity level is 3. For a detailed discussion of how various verbosity levels affect tar's output, please refer to GNU Tar Manual, subsection 2.5.1 "The --verbose Option".

--warning=NØGLEORD
    Enable or disable warning messages identified by KEYWORD. The messages are suppressed if KEYWORD is prefixed with no- and enabled otherwise.

    Multiple --warning messages accumulate.

    Nøgleord der kontrollerer generel tar-operation:

    all Aktiver alle advarselsbeskeder. Dette er standarden.

    none
        Deaktiver alle advarselsbeskeder.

    filename-with-nuls
        "%s: filnavnet som læstes indeholder nultegn"

    alone-zero-block
        "En enkeltstående nulblok ved %s"

    Nøgleord gældende for tar --create:

    cachedir
        "%s: indeholder et cachekatalog-mærke %s; %s"

    file-shrank
        "%s: Filen formindsket med %s byte, fylder ud med nul"

    xdev
        "%s: fil er på et andet filesystem; ikke arkiveret"

    file-ignored
        "%s: Ukendt filtype; filen blev ignoreret"
        "%s: sokkel ignoreret"
        "%s: dør ignoreret"

    file-unchanged
        "%s: fil er uændret; ikke arkiveret"

    ignore-archive
        "%s: fil er det samme som arkivet; ikke arkiveret"

    file-removed
        "%s: Fil fjernet før vi læste den"

    file-changed
        "%s: Fil ændredes mens vi læste den"

    failed-read
        Suppresses warnings about unreadable files or directories. This keyword applies only if used together with the --ignore-failed-read option.

    Keywords applicable for tar --extract:

    existing-file
        "%s: skipper eksisterende fil"

    timestamp
        "%s: usandsynligt gammelt tidsstempel %s"
        "%s: tidsstempel %s er %s sekunder ud i fremtiden"

    contiguous-cast
        "Udpakker sammenhængende filer som almindelige filer"

    symlink-cast
        "Forsøger at udpakke symbolske lænker som hårde lænker"

    unknown-cast
        "%s: Ukendt filtype '%c', udpakket som en almindelig fil"

    ignore-newer
        "Nuværende %s er nyere eller lige så gammel"

    unknown-keyword
        "Ignorerer nøgleord '%s' i udvidet hoved"

    decompress-program
        Controls verbose description of failures occurring when trying to run alternative decompressor programs. This warning is disabled by default (unless --verbose is used). A common example of what you can get when using this warning is:

            $ tar --warning=decompress-program -x -f archive.Z
            tar (child): cannot run compress: No such file or directory
            tar (child): trying gzip

        This means that tar first tried to decompress archive.Z using compress, and, when that failed, switched to gzip.

    record-size
        "Poststørrelse = %lu blok"

    Keywords controlling incremental extraction:

    rename-directory
        "%s: Kataloget er blevet omdøbt fra %s"
        "%s: Kataloget er blevet omdøbt"

    new-directory
        "%s: Kataloget er nyt"

    xdev
        "%s: fil er på et andet filesystem: sletter ikke"

    bad-dumpdir
        "Fejlagtigt dumpkatalog: "X" bruges aldrig"

-w, --interactive, --confirmation
    Bed om bekræftelse for hver handling.

  Kompatibilitetsflag

-o  Ved oprettelse det samme som --old-archive; ved udpakning det samme som --no-same-owner.

  Størrelsessuffikser

	Suffix	Units	Byte Equivalent
	b	Blocks	SIZE x 512
	B	Kilobytes	SIZE x 1024
	c	Bytes	SIZE
	G	Gigabytes	SIZE x 1024^3
	K	Kilobytes	SIZE x 1024
	k	Kilobytes	SIZE x 1024
	M	Megabytes	SIZE x 1024^2
	P	Petabytes	SIZE x 1024^5
	T	Terabytes	SIZE x 1024^4
	w	Words	SIZE x 2

RETURVÆRDI
Tar exit code indicates whether it was able to successfully perform the requested operation, and if not, what kind of error occurred.

0   Succesfuld afslutning.

1   Some files differ. If tar was invoked with the --compare (--diff, -d) command line option, this means that some files in the archive differ from their disk counterparts. If tar was given one of the --create, --append or --update options, this exit code means that some files were changed while being archived and so the resulting archive does not contain the exact copy of the file set.

2   Fatal error. This means that some fatal, unrecoverable error occurred.

If a subprocess that had been invoked by tar exited with a nonzero exit code, tar itself exits with that code as well. This can happen, for example, if a compression option (e.g. -z) was used and the external compressor program failed. Another example is rmt failure during backup to a remote device.

SE OGSÅ
bzip2(1), compress(1), gzip(1), lzma(1), lzop(1), rmt(8), symlink(7), xz(1), zstd(1).

Fuldstændig tar-manual: afvikl info tar eller brug info-tilstanden i emacs(1) til at læse den.

Internetkopier af GNU tar-dokumentationen i diverse formater kan findes på:

http://www.gnu.org/software/tar/manual

FEJLRAPPORTER
Rapportér programfejl til <bug-tar@gnu.org>. Oversættelsesfejl rapporteres til <dansk@dansk-gruppen.dk>.

OPHAVSRET
Copyright © 2013-2019 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <http://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.